﻿module("VOICE")

transform_destname = {
	exitname   = L"%s",
	exitnumber = L"%s",
	roadname   = L"%s",
	to         = L"%s",
	settlement = L"%s"
}

sentence_transform = TRANSFORM.new({
	
	{2, L"(?i)\\. +(em seguida,?) +", L", \\1 "},
	{2, L"(?i)\\. +(em,?) +", L", \\1 "},
	
	
	{2, L"(%p)+ *(%p)+", L"%1 "},
	{2 ,L"%s+(%p+)" ,L"%1 "},
	{2, L" +", L" "},
})

substitute_transform = TRANSFORM.new({
	{2, L"^(%u)(%u)[ -]*(%d+)", L"%1.%2. %3"},
	{2, L"\-", L" "},
	{2, L"(%d)(%a)", L"%1 %2"},
	{2, L"(%a)(%d)", L"%1 %2"},
	{2, L"//", L", "},
	
	{2, L"(?i) St\\.? +(\\d+)", L"s t \\1"},
	{2, L"(?i)^St\\.? ", L"Santa "},
	{2, L"(?i) St\\.?$", L"Street "},
	{2, L"(?i)^Dr\\.? ", L"Doutor"},
	{2, L"(?i) Dr\\.?$", L"Drive"},
	
	{1, L"Z. I", L"Zona Industrial"},
	{1, L"Z I", L"Zona Industrial"},
	{1, L"S.O", L"Sudoeste"},
	{1, L"S.E", L"Sudeste"},
	{1, L"S O", L"Sudoeste"},
	{1, L"S E", L"Sudeste"},
	{1, L"N.S", L"Números"},
	{1, L"N.O", L"Noroeste"},
	{1, L"N.E", L"Nordeste"},
	{1, L"N. SRA", L"Nossa Senhora"},
	{1, L"N SRA", L"Nossa Senhora"},
	{1, L"N S", L"Números"},
	{1, L"N O", L"Noroeste"},
	{1, L"N E", L"Nordeste"},
	{1, L"JOHN F. KENNEDY", L"John Fitzgerald Kennedy"},
	{1, L"JOHN F KENNEDY", L"John Fitzgerald Kennedy"},
	{1, L"D. G", L"Direcção Geral"},
	{1, L"D G", L"Direcção Geral"},
	
	{1, L"VOL", L"Voluntários"},
	{1, L"VL", L"VILA"},
	{1, L"URB", L"URBANIZAÇAO"},
	{1, L"TV", L"TRAVESSA"},
	{1, L"TRAV", L"Travessa"},
	{1, L"TSA", L"TRAVESSA"},
	{1, L"TEN", L"Tenente"},
	{1, L"T", L"Travessa"},
	{1, L"Sto", L"Santo"},
	{1, L"Sta", L"Santa"},
	{1, L"Sra", L"Senhora"},
	{1, L"Sr", L"Senhor"},
	{1, L"SOC", L"Sociedade"},
	{1, L"Sgt", L"Sargento"},
	{1, L"SARG", L"Sargento"},
	{1, L"S", L"São"},
	{1, L"Rev", L"Reverendo"},
	{1, L"RA", L"Senhora"},
	{1, L"R", L"Rua"},
	{1, L"QTA", L"QUINTA"},
	{1, L"PTO", L"PATIO"},
	{1, L"Pte", L"Ponte"},
	{1, L"PROJ", L"Projectada"},
	{1, L"PROFA", L"Professora"},
	{1, L"Prof", L"Professor"},
	{1, L"Pres", L"Presidente"},
	{1, L"PR", L"Praça"},
	{1, L"PE", L"Padre"},
	{1, L"Pct", L"Praceta"},
	{1, L"Pç", L"Praça"},
	{1, L"PAS", L"PASSEIO"},
	{1, L"PART", L"Particular"},
	{1, L"Pa", L"Pátio"},
	{1, L"P", L"Polígono"},
	{1, L"Nso", L"Nosso"},
	{1, L"Nsa", L"Nossa"},
	{1, L"NS", L"Números"},
	{1, L"NO", L"Noroeste"},
	{1, L"NE", L"Nordeste"},
	{1, L"Mq", L"Marquês"},
	{1, L"MONS", L"Monsenhor"},
	{1, L"MAR", L"Marechal"},
	{1, L"MAJ", L"Major"},
	{1, L"Lg", L"Largo"},
	{1, L"Irm", L"Irmãos"},
	{1, L"INS", L"Instituto"},
	{1, L"IGR", L"Igreja"},
	{1, L"GRP", L"Grupo"},
	{1, L"GOV", L"Governador"},
	{1, L"Gen", L"General"},
	{1, L"Fr", L"Frei"},
	{1, L"Exmos", L"Excelentíssimos"},
	{1, L"Exmo", L"Excelentíssimo"},
	{1, L"Exmas", L"Excelentíssimas"},
	{1, L"Exma", L"Excelentíssima"},
	{1, L"ESTR", L"ESTRADA"},
	{1, L"Est", L"Estrada"},
	{1, L"ESQ", L"Esquerdo"},
	{1, L"Esc", L"Escadas"},
	{1, L"Eng", L"Engenheiro"},
	{1, L"EMB", L"Embaixador"},
	{1, L"DRA", L"Doutora"},
	{1, L"DIST", L"Distrito"},
	{1, L"DIR", L"Direita"},
	{1, L"DESP", L"Desportivo"},	
	{1, L"D", L"Dom"},
	{1, L"Cor", L"Coronel"},
	{1, L"COOP", L"Cooperativa"},
	{1, L"Constr", L"Construtor"},
	{1, L"Cons", L"Conselheiro"},
	{1, L"CONC", L"Concelho"},
	{1, L"Con", L"Cónego"},
	{1, L"CMDT", L"Comandante"},
	{1, L"Cid", L"Cidade"},
	{1, L"CENT", L"Central"},
	{1, L"CCNH", L"CALÇADINHA"},
	{1, L"Cç", L"Calçada"},
	{1, L"Cap", L"Capitão"},
	{1, L"Cam", L"Caminho"},
	{1, L"C", L"Centro"},
	{1, L"BR", L"BAIRRO"},
	{1, L"BOM", L"Bombeiros"},
	{1, L"BL", L"BLOCO"},
	{1, L"Bc", L"Beco"},
	{1, L"Az", L"Azinhaga"},
	{1, L"Av", L"Avenida"},
	{1, L"ASS", L"Associação"},
	{1, L"Arq", L"Arquitecta"},
	{1, L"Alm", L"Almirante"},
	{1, L"Alf", L"Alferes"},
	{1, L"Al", L"Alameda"},
	{1, L"AEROP", L"Aeroporto"},

})
